<template>
    <a-week-picker
        class="tw-w-full"
        placeholder="Select week"
        @change="change"
        v-bind="$attrs"
        v-on="$listeners"
    />
</template>

<script>
export default {
    props: {
        year: String,
        week: String,
    },
    methods: {
        change(val) {
            this.$emit('update:week', val.week().toString());
            this.$emit('update:year', val.year().toString());
        },
    },
};
</script>
